%define rel 1
%define my_py_ver %(echo %py_ver | tr -d '.')

Name: repsys
Version: 1.6.14
Epoch: 1
Release: %mkrel %rel
Summary: Tools for Mandriva Linux repository access and management
Group: Development/Other
Source: %{name}-%{version}.tar.bz2
Source1: mdk-rebrand-mdk
License: GPL
URL: http://qa.mandriva.com/twiki/bin/view/Main/RepositorySystem
Requires: python-cheetah
%py_requires
Buildrequires: python-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: python 
BuildRequires: python-devel
BuildArch: noarch

%description
Tools for Mandriva Linux repository access and management.

%prep
%setup -q

%build
python setup.py build

%install
rm -rf %{buildroot}

python setup.py install --root=%{buildroot}
# Using compile inline since niemeyer's python macros still not available on mdk rpm macros
find %{buildroot}%{py_sitedir} -name '*.pyc' -exec rm -f {} \; 
python -c "import sys, os, compileall; br='%{buildroot}'; compileall.compile_dir(sys.argv[1], ddir=br and 
(sys.argv[1][len(os.path.abspath(br)):]+'/') or None)" %{buildroot}%{py_sitedir}

mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_datadir}/repsys/
mkdir -p %{buildroot}%{_bindir}/
install -m 0755 %{SOURCE1} %{buildroot}%{_datadir}/repsys/rebrand-mdk
install -m 0755 create-srpm %{buildroot}%{_datadir}/repsys/create-srpm
install -m 0755 getsrpm-mdk %{buildroot}%{_bindir}/getsrpm-mdk
install -m 0644 repsys.conf %{buildroot}%{_sysconfdir}

%post
if [ "$1" = "2" ]; then
	if ! grep -q '^create-srpm' %{_sysconfdir}/repsys.conf; then
		cat >> %{_sysconfdir}/repsys.conf <<EOF

[helper]
create-srpm = %{_datadir}/repsys/create-srpm
EOF
	fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/repsys.conf
%{_bindir}/repsys
%{_bindir}/getsrpm-mdk
%{_datadir}/repsys
%{py_sitedir}/RepSys
%if %my_py_ver >= 25
%{py_sitedir}/*.egg-info
%endif


%changelog
* Wed Feb 28 2007 Bogdano Arendartchuk <bogdano@mandriva.com> 1.6.14-1mdv2007.0
+ Revision: 127256
- 1.6.14

* Tue Jan 16 2007 Andreas Hasenack <andreas@mandriva.com> 1:1.6.13-1mdv2007.1
+ Revision: 109634
- updated to version 1.6.13

* Wed Jan 03 2007 Andreas Hasenack <andreas@mandriva.com> 1:1.6.12-1mdv2007.1
+ Revision: 103724
- version 1.6.12: small fix for the silent feature
- updated to version 1.6.11 (new silent feature)

* Fri Dec 01 2006 Andreas Hasenack <andreas@mandriva.com> 1:1.6.10-1mdv2007.1
+ Revision: 89695
- only package egg file if in newer python
- updated to version 1.6.10:
- use svn export instead of checkout, saves 50%% disk space (part of #27423)
- fixed repsys changed
- using getsrpm-mdk from the tarball
- removed old source

* Tue Nov 28 2006 Michael Scherer <misc@mandriva.org> 1:1.6.9-2mdv2007.1
+ Revision: 87853
- add the .egg-info file to the file listing

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild against python2.5

* Mon Nov 13 2006 Olivier Blin <oblin@mandriva.com> 1:1.6.9-1mdv2007.0
+ Revision: 83823
- 1.6.9
- use 1.6 branch as default in cooker

  + Andreas Hasenack <andreas@mandriva.com>
    - use py_requires for correct python requires (we also need python: python-base
      is not enough for this package)

* Wed Oct 18 2006 Olivier Blin <oblin@mandriva.com> 1:1.5.10-1mdv2007.1
+ Revision: 70681
- 1.5.10
- 1.5.9

* Sat Aug 19 2006 Andreas Hasenack <andreas@mandriva.com> 1:1.5.8-1mdv2007.0
+ Revision: 56843
- updated to 1.5.8

* Fri Aug 04 2006 Andreas Hasenack <andreas@mandriva.com> 1:1.5.7-2mdv2007.0
+ Revision: 51785
- removed bogus requires: python-cheetah is only needed by
  repsys-1.6.x+

* Tue Jul 18 2006 Andreas Hasenack <andreas@mandriva.com> 1:1.5.7-1mdv2007.0
+ Revision: 41543
- updated to version 1.5.7

* Mon Jul 17 2006 Andreas Hasenack <andreas@mandriva.com> 1:1.5.6-1mdv2007.0
+ Revision: 41506
- updated to version 1.5.6

* Wed Jul 12 2006 Andreas Hasenack <andreas@mandriva.com> 1:1.5.5-1mdv2007.0
+ Revision: 41001
- updated to version 1.5.5
- removed moredefines patch: already applied upstream

* Fri Jun 23 2006 Andreas Hasenack <andreas@mandriva.com> 1:1.5.4-2mdv2007.0
+ Revision: 37986
- using mkrel
- define a more complete rpm environment for constructing the .src.rpm
  so all the files end up being where we expect them to be
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Tue Feb 14 2006 Andreas Hasenack <andreas@mandriva.com> 1:1.5.4-1mdk
+ Revision: 1737
- downgraded to version 1.5.4: 1.6.0 is not ready for prime time
  (bumped epoch)
- removed patch that was already applied in version 1.5.4 (wasn't being
  applied to 1.6.0 either)

* Thu Feb 02 2006 Andreas Hasenack <andreas@mandriva.com> 1.6.0-1mdk
+ Revision: 1563
- added new requires for python-cheetah
- updated to version 1.6.0 which has the new %%changelog mechanism
- dropped patches already applied upstream
- install config file

* Fri Sep 30 2005 Andreas Hasenack <andreas@mandriva.com> 1.5.3.1-4mdk
+ Revision: 979
- releasing 1.5.3.1-4mdk
- fixed author's email
- fixed mandriva logo url
- fixed mime-type of the repsys-mdk.patch

* Tue Jul 26 2005 Helio Chissini de Castro <helio@mandriva.com> 1.5.3.1-3mdk
+ Revision: 441
- Changes on behalf of Oden Eriksson
- update S1
- lib64 fixes
- this is no noarch package
- rpmlint fixes
- Upload new spec
- Fixed ugly type on url type svn+ssh
- Update repsys to match new changelog requirements ( just release keep unchanged )
- Update getsrpm-mdk to genrate srpm with changelog
- Fixed regexp for unicode/color chars in terminal ( thanks to aurelio )
- Start to fix builds on x86_64 archs.
- Fixed patch for get real changelog and version
- Added changelog patch to match mdk style
- Added rebrand script for match release number with svn
- Added wrapper script for get srpms ready for submit to cluster compilation
- Added suggested changes by neoclust
- Added initial users on default
- Added a initial changelog until repsys submit is working
- No bziped patches
- Initial import of repsys package

